import { Component } from "@angular/core";
import {
  IonicPage,
  NavController,
  AlertController,
  MenuController,
  ModalController,
  NavParams,
  Events
} from "ionic-angular";

import { AuthProvider } from "../../providers/auth/auth";
import { HomePage } from "../home/home";
import { LoginPage } from "../login/login";


@IonicPage()
@Component({
  selector: "mock",
  templateUrl: "mock.html"
})

export class MockPage {

	constructor(
    public navCtrl: NavController,
    public navParams: NavParams,
    private menuCtrl: MenuController,
    private alertCtrl: AlertController,
    private authProvider: AuthProvider,
    private modalCtrl: ModalController,
    private events: Events
  ) {}


	loginMock(){
		this.navCtrl.setRoot(HomePage);
	}

	loginTwitter() {
  	 const alertText = {
      title: "Login failed",
      subTitle:
        "Somthing went wrong while trying to log you in. Please try again.",
      buttons: ["OK"]
    };


    this.authProvider
      .login()
      .then(() => this.events.publish("user:login"))
      .then(() => this.navCtrl.setRoot(HomePage))
      .catch(err => this.alertCtrl.create(alertText).present());
   }
}


